Devuan bug report logs - #169
network-manager install configuration fails requiring udev service

Package: network-manager; Reported by: Tom <wirelessduck@gmail.com>;
Date: Mon, 18 Dec 2017 06:03:01 UTC;
Tags: ascii; Done: KatolaZ <katolaz@freaknet.org>;
Maintainer for network-manager is (unknown).

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#169; Package network-manager. Full text available.



Acknowledgement sent to Tom <wirelessduck@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at submit@bugs.devuan.org:

From: Tom <wirelessduck@gmail.com>
Date: Mon, 18 Dec 2017 16:40:17 +1100
Subject: network-manager install configuration fails requiring udev service
To: submit@bugs.devuan.org

Package: network-manager
Version: 1.6.2-3+devuan1

Installed Devuan Jessie from installer CD iso and upgraded to Devuan
ASCII.  I uninstalled wicd on ASCII and tried to install
network-manager.  The package install configuration fails when it
tries to find the udev service.

eudev=3.2.2-9 was installed during upgrade to ASCII and I removed the
transitional udev package.


root@devuan-test:~# apt-get install network-manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  libteam-utils
The following NEW packages will be installed:
  network-manager
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2,217 kB of archives.
After this operation, 10.4 MB of additional disk space will be used.
Selecting previously unselected package network-manager.
(Reading database ... 107935 files and directories currently installed.)
Preparing to unpack .../network-manager_1.6.2-3+devuan1_amd64.deb ...
Unpacking network-manager (1.6.2-3+devuan1) ...
Setting up network-manager (1.6.2-3+devuan1) ...
[ ok ] Reloading system message bus config...done.

The following network interfaces were found in /etc/network/interfaces
which means they are currently configured by ifupdown:
- eth0
If you want to manage those interfaces with NetworkManager instead
remove their configuration from /etc/network/interfaces.

update-rc.d: warning: start and stop actions are no longer supported;
falling back to defaults
insserv: Service udev has to be enabled to start service network-manager
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package network-manager (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for man-db (2.7.6.1-2) ...
Processing triggers for dbus (1.10.18-1+devuan2.3) ...
Errors were encountered while processing:
 network-manager
E: Sub-process /usr/bin/dpkg returned an error code (1)


root@devuan-test:~# apt-cache policy network-manager
network-manager:
  Installed: 1.6.2-3+devuan1
  Candidate: 1.6.2-3+devuan1
  Version table:
 *** 1.6.2-3+devuan1 500
        500 https://pkgmaster.devuan.org/merged ascii/main amd64 Packages
        100 /var/lib/dpkg/status





Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#169; Package network-manager. Full text available.



Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 169@bugs.devuan.org:

Date: Mon, 18 Dec 2017 09:30:21 +0000
From: KatolaZ <katolaz@freaknet.org>
To: 169@bugs.devuan.org
Subject: Re: [Devuan-bugs] bug#169: network-manager install configuration

[Message part 1 (text/plain, inline)]

On Mon, Dec 18, 2017 at 10:12:34AM +0100, Where all about bugs in Devuan packages is reported wrote:
> 
> Hi, the problem is that network-manager.init has to be thought that the init
> script for eudev is called eudev.init not udev.init.
> 
> See the patch inlined below: cat network-manager.init.diff
> --- a/debian/network-manager.init	2017-12-17 17:41:00.000000000 +0100
> +++ b/debian/network-manager.init	2017-12-18 10:00:05.463681000 +0100
> @@ -1,8 +1,8 @@
>  #! /bin/sh
>  ### BEGIN INIT INFO
>  # Provides:          network-manager
> -# Required-Start:    $remote_fs dbus udev
> -# Required-Stop:     $remote_fs dbus udev
> +# Required-Start:    $remote_fs dbus eudev
> +# Required-Stop:     $remote_fs dbus eudev
>  # Should-Start:	     $syslog
>  # Should-Stop:       $syslog
>  # Default-Start:     2 3 4 5
> 
> Unfortunately I don't have a wireless interface to test with. KatolaZ, can you
> please merge this patch.
> 

I am ready to merge the patch, but please test it before.

HND

KatolaZ

-- 
[ ~.,_  Enzo Nicosia aka KatolaZ - Devuan -- Freaknet Medialab  ]  
[     "+.  katolaz [at] freaknet.org --- katolaz [at] yahoo.it  ]
[       @)   http://kalos.mine.nu ---  Devuan GNU + Linux User  ]
[     @@)  http://maths.qmul.ac.uk/~vnicosia --  GPG: 0B5F062F  ] 
[ (@@@)  Twitter: @KatolaZ - skype: katolaz -- github: KatolaZ  ]

[signature.asc (application/pgp-signature, inline)]






Tags added: ascii Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. Full text available.



Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#169; Package network-manager. Full text available.



Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 169@bugs.devuan.org:

Date: Mon, 18 Dec 2017 11:11:17 +0000
From: KatolaZ <katolaz@freaknet.org>
To: 169@bugs.devuan.org
Subject: patch applied -- packages are in ascii

[Message part 1 (text/plain, inline)]

I have merged the patch. New network-manager packages are in ascii
(version 1.6.2-3+devuan1.1). Please test extensively.

HND

[signature.asc (application/pgp-signature, inline)]






Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#169; Package network-manager. Full text available.



Acknowledgement sent to Tom Cassidy <wirelessduck@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text available.



Message received at 169@bugs.devuan.org:

From: Tom Cassidy <wirelessduck@gmail.com>
Date: Tue, 19 Dec 2017 15:04:26 +1100
To: 169@bugs.devuan.org

I can confirm that network manager now installs successfully and connects to eth0 via dhcp. I don’t have any wireless device to test with unfortunately.





Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. Full text available.



Notification sent to Tom <wirelessduck@gmail.com>:
bug acknowledged by developer. Full text available.



Message received at 169-close@bugs.devuan.org:

Date: Tue, 19 Dec 2017 10:05:20 +0000
From: KatolaZ <katolaz@freaknet.org>
To: 169-close@bugs.devuan.org
Subject: solved

[Message part 1 (text/plain, inline)]

Thanks a lot Tom. I guess I can close this one then.

Cheers

KatolaZ

[signature.asc (application/pgp-signature, inline)]






Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri, 17 Aug 2018 09:14:36 UTC